Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
contacts
/
{team_contact_id}
/
attributes
Patch Contact Values
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/contacts/{team_contact_id}/attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "definition_id": "<string>",
        "definition_slug": "<string>",
        "option_ids": [
          "<string>"
        ],
        "option_slugs": [
          "<string>"
        ],
        "value_boolean": true,
        "value_date": "2023-12-25",
        "value_number": 123,
        "value_text": "<string>"
      },
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "definition_id": "<string>",
        "definition_slug": "<string>",
        "type": "<string>",
        "option_ids": [
          "<string>"
        ],
        "option_slugs": [
          "<string>"
        ],
        "value_boolean": true,
        "value_date": "2023-12-25",
        "value_number": "<string>",
        "value_text": "<string>"
      },
      "id": "<string>",
      "type": "contact_attribute_values"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
team_contact_id
string
required

Body

application/vnd.api+json
data
(SetOperation · object | ClearOperation · object)[]
required
Required array length: 1 - 200 elements

Response

Successful Response

data
ContactValueResource · object[]
required